function eis_status_sts3_data_dumper::INIT

  print, 'eis_status_sts3_data_dumper::INIT'

                                ;     h = hash('min', minv, 'max', maxv, 'avg', avgv)
;     hh = hash(pname, h)
;     self.parameters[section] = hh

  h = hash('min', 0., 'max', 0., 'avg', 0.)

  v   = hash('MHC_P5VD', h, 'MHC_P15V_A', h, 'MHC_N15V_A', h, 'MHC_P15V_M', h, 'MHC_P120V_PZT', h, 'MHC_PZT_DRIVE', h)
  i   = hash('MHC_P5V_DI', h, 'MHC_P15V_AI', h, 'MHC_N15V_AI', h, 'MHC_RDC_I', h)
  gp0 = hash('MHC_DB_T0', h, 'MHC_BOX_T1', h, 'MHC_PB_T2', h, 'MHC_PB_T3', h, 'MHC_SLA_T4', h, 'MHC_SLA_T5', h, 'MHC_HARNESS_T6', h, 'MHC_MIR_BASE_T7', h, 'MHC_MIR_PZT_T8', h, 'MHC_MIR_MOTOR_T9', h)
  gp2 = hash('MHC_HZ_T0', h, 'MHC_HZ_T1', h, 'MHC_HZ_T2', h, 'MHC_HZ_T3', h, 'MHC_HZ_T4', h, 'MHC_HZ_T5', h, 'MHC_HZ_T6', h, 'MHC_HZ_T7', h, 'MHC_HZ_T8', h, 'MHC_HZ_T9', h, 'MHC_HZ_T10', h, 'MHC_HZ_T11', h, 'MHC_HZ_T12', h, 'MHC_HZ_T13', h, 'MHC_HZ_T14', h, 'MHC_HZ_T15', h)
  m   = hash('MHC_GRA_POS_AN', h, 'MHC_SS_POS_STEPS', h, 'MHC_CMIR_POS_STEPS', h, 'MHC_CMIR_POS', h, 'MHC_SS_POS', h, 'MHC_GRA_SW_POS', h)
  s   = hash('MHC_MOTOR_OPT_ENC', h, 'MHC_ACT_OPT_ENC', h, 'MHC_ACT_STAT', h, 'MHC_CAL_SRC_STAT', h, 'MHC_HTR_STAT', h, 'MHC_SEQ_MSW', h, 'MHC_SEQ_LSW', h, 'MHC_SYS_STAT', h)
  c   = hash('MHC_EXP_T1', h, 'MHC_EXP_T2', h, 'MHC_CMD_REC', h, 'MHC_CMD_ACK', h, 'MHC_CMD_NACK', h, 'MHC_CMD_ID', h, 'MHC_TIME_MSW', h, 'MHC_TIME_LSW', h)
  q   = hash('MHC_QCM_MSW', h, 'MHC_QCM_LSW', h, 'MHC_QCM1_TEMP', h, 'MHC_QCM2_TEMP', h, 'MHC_QCM_INT_CLOCK', h)
  sp  = hash('TIME', h, 'SEQ_COUNTER', h)
  
  self.parameters = hash('mhc_currents', i, 'mhc_voltages', v, 'mhc_gp0_temperatures', gp0, 'mhc_gp2_temperatures', gp2, 'mhc_mechanisms', m, 'mhc_stats', s, 'mhc_counters', c, 'mhc_qcm_status', q, 'mhc_spacecraft', sp)

  self->set_trace, 1
  
  return, 1

end


